Package com.sap.ai.sdk.core.model

# Class MetaAiApiCapabilities

java.lang.Object
com.sap.ai.sdk.core.model.MetaAiApiCapabilities

public class MetaAiApiCapabilities extends Object
MetaAiApiCapabilities

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaAiApiCapabilities()`
  Default constructor for MetaAiApiCapabilities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaAiApiCapabilities`
  `bulkUpdates(MetaAiApiCapabilitiesBulkUpdates bulkUpdates)`
  Set the bulkUpdates of this `MetaAiApiCapabilities` instance and return the same instance.
  `static MetaAiApiCapabilities`
  `create()`
  Create a new `MetaAiApiCapabilities` instance.
  `boolean`
  `equals(Object o)`
  `MetaAiApiCapabilities`
  `executionSchedules(Boolean executionSchedules)`
  Set the executionSchedules of this `MetaAiApiCapabilities` instance and return the same instance.
  `MetaAiApiCapabilitiesBulkUpdates`
  `getBulkUpdates()`
  Get bulkUpdates
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaAiApiCapabilities`.
  `MetaAiApiCapabilitiesLogs`
  `getLogs()`
  Get logs
  `int`
  `hashCode()`
  `Boolean`
  `isExecutionSchedules()`
  Get executionSchedules
  `Boolean`
  `isMultitenant()`
  true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
  `Boolean`
  `isShareable()`
  true-> clients can use just one instance (global static models), false-> clients should avoid sharing an instance
  `Boolean`
  `isStaticDeployments()`
  There are static always running endpoints that can be used for inference without the need to do user deployments.
  `Boolean`
  `isTimeToLiveDeployments()`
  Get timeToLiveDeployments
  `Boolean`
  `isUserDeployments()`
  Services that only support batch inference typically neither allow listing nor creation of deployments.
  `Boolean`
  `isUserExecutions()`
  Get userExecutions
  `MetaAiApiCapabilities`
  `logs(MetaAiApiCapabilitiesLogs logs)`
  Set the logs of this `MetaAiApiCapabilities` instance and return the same instance.
  `MetaAiApiCapabilities`
  `multitenant(Boolean multitenant)`
  Set the multitenant of this `MetaAiApiCapabilities` instance and return the same instance.
  `void`
  `setBulkUpdates(MetaAiApiCapabilitiesBulkUpdates bulkUpdates)`
  Set the bulkUpdates of this `MetaAiApiCapabilities` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaAiApiCapabilities` instance.
  `void`
  `setExecutionSchedules(Boolean executionSchedules)`
  Set the executionSchedules of this `MetaAiApiCapabilities` instance.
  `void`
  `setLogs(MetaAiApiCapabilitiesLogs logs)`
  Set the logs of this `MetaAiApiCapabilities` instance.
  `void`
  `setMultitenant(Boolean multitenant)`
  Set the multitenant of this `MetaAiApiCapabilities` instance.
  `void`
  `setShareable(Boolean shareable)`
  Set the shareable of this `MetaAiApiCapabilities` instance.
  `void`
  `setStaticDeployments(Boolean staticDeployments)`
  Set the staticDeployments of this `MetaAiApiCapabilities` instance.
  `void`
  `setTimeToLiveDeployments(Boolean timeToLiveDeployments)`
  Set the timeToLiveDeployments of this `MetaAiApiCapabilities` instance.
  `void`
  `setUserDeployments(Boolean userDeployments)`
  Set the userDeployments of this `MetaAiApiCapabilities` instance.
  `void`
  `setUserExecutions(Boolean userExecutions)`
  Set the userExecutions of this `MetaAiApiCapabilities` instance.
  `MetaAiApiCapabilities`
  `shareable(Boolean shareable)`
  Set the shareable of this `MetaAiApiCapabilities` instance and return the same instance.
  `MetaAiApiCapabilities`
  `staticDeployments(Boolean staticDeployments)`
  Set the staticDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
  `MetaAiApiCapabilities`
  `timeToLiveDeployments(Boolean timeToLiveDeployments)`
  Set the timeToLiveDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaAiApiCapabilities` instance including unrecognized properties.
  `String`
  `toString()`
  `MetaAiApiCapabilities`
  `userDeployments(Boolean userDeployments)`
  Set the userDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
  `MetaAiApiCapabilities`
  `userExecutions(Boolean userExecutions)`
  Set the userExecutions of this `MetaAiApiCapabilities` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaAiApiCapabilities

    protected MetaAiApiCapabilities()
    Default constructor for MetaAiApiCapabilities.

- ## Method Details

  - ### multitenant

    @Nonnull public MetaAiApiCapabilities multitenant(@Nullable Boolean multitenant)
    Set the multitenant of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `multitenant` - true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isMultitenant

    @Nonnull public Boolean isMultitenant()
    true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
    Returns:
      multitenant The multitenant of this `MetaAiApiCapabilities` instance.

  - ### setMultitenant

    public void setMultitenant(@Nullable Boolean multitenant)
    Set the multitenant of this `MetaAiApiCapabilities` instance.
    Parameters:
      `multitenant` - true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)

  - ### shareable

    @Nonnull public MetaAiApiCapabilities shareable(@Nullable Boolean shareable)
    Set the shareable of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `shareable` - true-> clients can use just one instance (global static models), false-> clients should avoid sharing an instance
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isShareable

    @Nonnull public Boolean isShareable()
    true-> clients can use just one instance (global static models), false-> clients should avoid sharing an instance
    Returns:
      shareable The shareable of this `MetaAiApiCapabilities` instance.

  - ### setShareable

    public void setShareable(@Nullable Boolean shareable)
    Set the shareable of this `MetaAiApiCapabilities` instance.
    Parameters:
      `shareable` - true-> clients can use just one instance (global static models), false-> clients should avoid sharing an instance

  - ### staticDeployments

    @Nonnull public MetaAiApiCapabilities staticDeployments(@Nullable Boolean staticDeployments)
    Set the staticDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `staticDeployments` - There are static always running endpoints that can be used for inference without the need to do user deployments.
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isStaticDeployments

    @Nonnull public Boolean isStaticDeployments()
    There are static always running endpoints that can be used for inference without the need to do user deployments.
    Returns:
      staticDeployments The staticDeployments of this `MetaAiApiCapabilities` instance.

  - ### setStaticDeployments

    public void setStaticDeployments(@Nullable Boolean staticDeployments)
    Set the staticDeployments of this `MetaAiApiCapabilities` instance.
    Parameters:
      `staticDeployments` - There are static always running endpoints that can be used for inference without the need to do user deployments.

  - ### userDeployments

    @Nonnull public MetaAiApiCapabilities userDeployments(@Nullable Boolean userDeployments)
    Set the userDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `userDeployments` - Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isUserDeployments

    @Nonnull public Boolean isUserDeployments()
    Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false
    Returns:
      userDeployments The userDeployments of this `MetaAiApiCapabilities` instance.

  - ### setUserDeployments

    public void setUserDeployments(@Nullable Boolean userDeployments)
    Set the userDeployments of this `MetaAiApiCapabilities` instance.
    Parameters:
      `userDeployments` - Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false

  - ### userExecutions

    @Nonnull public MetaAiApiCapabilities userExecutions(@Nullable Boolean userExecutions)
    Set the userExecutions of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `userExecutions` - The userExecutions of this `MetaAiApiCapabilities`
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isUserExecutions

    @Nonnull public Boolean isUserExecutions()
    Get userExecutions
    Returns:
      userExecutions The userExecutions of this `MetaAiApiCapabilities` instance.

  - ### setUserExecutions

    public void setUserExecutions(@Nullable Boolean userExecutions)
    Set the userExecutions of this `MetaAiApiCapabilities` instance.
    Parameters:
      `userExecutions` - The userExecutions of this `MetaAiApiCapabilities`

  - ### timeToLiveDeployments

    @Nonnull public MetaAiApiCapabilities timeToLiveDeployments(@Nullable Boolean timeToLiveDeployments)
    Set the timeToLiveDeployments of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `timeToLiveDeployments` - The timeToLiveDeployments of this `MetaAiApiCapabilities`
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isTimeToLiveDeployments

    @Nonnull public Boolean isTimeToLiveDeployments()
    Get timeToLiveDeployments
    Returns:
      timeToLiveDeployments The timeToLiveDeployments of this `MetaAiApiCapabilities` instance.

  - ### setTimeToLiveDeployments

    public void setTimeToLiveDeployments(@Nullable Boolean timeToLiveDeployments)
    Set the timeToLiveDeployments of this `MetaAiApiCapabilities` instance.
    Parameters:
      `timeToLiveDeployments` - The timeToLiveDeployments of this `MetaAiApiCapabilities`

  - ### executionSchedules

    @Nonnull public MetaAiApiCapabilities executionSchedules(@Nullable Boolean executionSchedules)
    Set the executionSchedules of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `executionSchedules` - The executionSchedules of this `MetaAiApiCapabilities`
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### isExecutionSchedules

    @Nonnull public Boolean isExecutionSchedules()
    Get executionSchedules
    Returns:
      executionSchedules The executionSchedules of this `MetaAiApiCapabilities` instance.

  - ### setExecutionSchedules

    public void setExecutionSchedules(@Nullable Boolean executionSchedules)
    Set the executionSchedules of this `MetaAiApiCapabilities` instance.
    Parameters:
      `executionSchedules` - The executionSchedules of this `MetaAiApiCapabilities`

  - ### logs

    @Nonnull public MetaAiApiCapabilities logs(@Nullable MetaAiApiCapabilitiesLogs logs)
    Set the logs of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `logs` - The logs of this `MetaAiApiCapabilities`
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### getLogs

    @Nonnull public MetaAiApiCapabilitiesLogs getLogs()
    Get logs
    Returns:
      logs The logs of this `MetaAiApiCapabilities` instance.

  - ### setLogs

    public void setLogs(@Nullable MetaAiApiCapabilitiesLogs logs)
    Set the logs of this `MetaAiApiCapabilities` instance.
    Parameters:
      `logs` - The logs of this `MetaAiApiCapabilities`

  - ### bulkUpdates

    @Nonnull public MetaAiApiCapabilities bulkUpdates(@Nullable MetaAiApiCapabilitiesBulkUpdates bulkUpdates)
    Set the bulkUpdates of this `MetaAiApiCapabilities` instance and return the same instance.
    Parameters:
      `bulkUpdates` - The bulkUpdates of this `MetaAiApiCapabilities`
    Returns:
      The same instance of this `MetaAiApiCapabilities` class

  - ### getBulkUpdates

    @Nonnull public MetaAiApiCapabilitiesBulkUpdates getBulkUpdates()
    Get bulkUpdates
    Returns:
      bulkUpdates The bulkUpdates of this `MetaAiApiCapabilities` instance.

  - ### setBulkUpdates

    public void setBulkUpdates(@Nullable MetaAiApiCapabilitiesBulkUpdates bulkUpdates)
    Set the bulkUpdates of this `MetaAiApiCapabilities` instance.
    Parameters:
      `bulkUpdates` - The bulkUpdates of this `MetaAiApiCapabilities`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaAiApiCapabilities`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaAiApiCapabilities` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaAiApiCapabilities` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaAiApiCapabilities` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaAiApiCapabilities create()
    Create a new `MetaAiApiCapabilities` instance. No arguments are required.